Subject: [alpine-aports] [PATCH] main/perl-encode-hanextra: new aport

From: Valery Kartel <[email-masked]>
Date: Thu, 29 Oct 2015 16:33:03 +0200

---
 main/perl-encode-hanextra/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 main/perl-encode-hanextra/APKBUILD

diff --git a/main/perl-encode-hanextra/APKBUILD b/main/perl-encode-hanextra/APKBUILD
new file mode 100644
index 0000000..94f29eb
--- /dev/null
+++ b/main/perl-encode-hanextra/APKBUILD
@@ -0,0 +1,44 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Valery Kartel <[email-masked]>
+# Maintainer: Valery Kartel <[email-masked]>
+pkgname=perl-encode-hanextra
+_pkgreal=Encode-HanExtra
+pkgver=0.23
+pkgrel=0
+pkgdesc="Perl module for Encode-HanExtra"
+url="http://search.cpan.org/dist/Encode-HanExtra/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	if [ -e Build.PL ]; then
+		perl Build.PL installdirs=vendor || return 1
+	else
+		PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	fi
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e1d3bc32c1c8ee304235a06fbcd5d5a4  Encode-HanExtra-0.23.tar.gz"
+sha256sums="1fd4b06cada70858003af153f94c863b3b95f2e3d03ba18d0451a81d51db443a  Encode-HanExtra-0.23.tar.gz"
+sha512sums="218083b9b3b4517cfc714169479cba0689a3586d9abb24bcc79d3401d37dd9412cb4e878b6aad06676d5c4f0e03cc69dcaf2e5f48036e2da6f336508c381e462  Encode-HanExtra-0.23.tar.gz"
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---